package com.ruoyi.business.domain;

import com.ruoyi.common.core.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * @author liangzhou
 * @Description 任务
 */
public class Task extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 任务编号
     */
    private String taskNo;

    /**
     * 任务时间
     */
    private String taskTime;

    /**
     * 任务Id
     */
    private String taskId;

    /**
     * 物料编码
     */
    private String goodsId;

    /**
     * 数量
     */
    private BigDecimal opNumber;

    /**
     * 起始货位
     */
    private String startLocation;

    /**
     * 目标货位
     */
    private String targetLocation;

    /**
     * 托盘号
     */
    private String ctl;

    /**
     * 任务模式
     */
    private String taskMode;

    /**
     * 任务状态
     */
    private String status;

    public String getTaskNo() {
        return taskNo;
    }

    public void setTaskNo(String taskNo) {
        this.taskNo = taskNo;
    }

    public String getTaskTime() {
        return taskTime;
    }

    public void setTaskTime(String taskTime) {
        this.taskTime = taskTime;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    public String getStartLocation() {
        return startLocation;
    }

    public void setStartLocation(String startLocation) {
        this.startLocation = startLocation;
    }

    public String getTargetLocation() {
        return targetLocation;
    }

    public void setTargetLocation(String targetLocation) {
        this.targetLocation = targetLocation;
    }

    public String getCtl() {
        return ctl;
    }

    public void setCtl(String ctl) {
        this.ctl = ctl;
    }

    public String getTaskMode() {
        return taskMode;
    }

    public void setTaskMode(String taskMode) {
        this.taskMode = taskMode;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public BigDecimal getOpNumber() {
        return opNumber;
    }

    public void setOpNumber(BigDecimal opNumber) {
        this.opNumber = opNumber;
    }
}
